/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<playlistfilterproxymodel.h>)
#  include <playlistfilterproxymodel.h>
#endif
#if __has_include(<playlistmodel.h>)
#  include <playlistmodel.h>
#endif
#if __has_include(<playlistmultiproxiesmodel.h>)
#  include <playlistmultiproxiesmodel.h>
#endif
#if __has_include(<playlistproxymodel.h>)
#  include <playlistproxymodel.h>
#endif
#if __has_include(<playlistsortpropertymodel.h>)
#  include <playlistsortpropertymodel.h>
#endif
#if __has_include(<playlistsortpropertyproxymodel.h>)
#  include <playlistsortpropertyproxymodel.h>
#endif
#if __has_include(<playlistsortproxymodel.h>)
#  include <playlistsortproxymodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_haruna_playlist()
{
    qmlRegisterModule("org.kde.haruna.playlist", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<PlaylistFilterProxyModel>("org.kde.haruna.playlist", 254);
    qmlRegisterEnum<PlaylistFilterProxyModel::Selection>("PlaylistFilterProxyModel::Selection");
    qmlRegisterEnum<PlaylistFilterProxyModel::Filter>("PlaylistFilterProxyModel::Filter");
    qmlRegisterTypesAndRevisions<PlaylistModel>("org.kde.haruna.playlist", 254);
    qmlRegisterEnum<PlaylistModel::Roles>("PlaylistModel::Roles");
    qmlRegisterEnum<PlaylistModel::Behavior>("PlaylistModel::Behavior");
    qmlRegisterTypesAndRevisions<PlaylistMultiProxiesModel>("org.kde.haruna.playlist", 254);
    qmlRegisterEnum<PlaylistMultiProxiesModel::Roles>("PlaylistMultiProxiesModel::Roles");
    qmlRegisterTypesAndRevisions<PlaylistProxyModel>("org.kde.haruna.playlist", 254);
    qmlRegisterTypesAndRevisions<PlaylistSortPropertyModel>("org.kde.haruna.playlist", 254);
    qmlRegisterEnum<PlaylistSortPropertyModel::Roles>("PlaylistSortPropertyModel::Roles");
    qmlRegisterEnum<PlaylistSortPropertyModel::SortOrder>("PlaylistSortPropertyModel::SortOrder");
    qmlRegisterEnum<PlaylistSortPropertyModel::Category>("PlaylistSortPropertyModel::Category");
    qmlRegisterTypesAndRevisions<PlaylistSortPropertyProxyModel>("org.kde.haruna.playlist", 254);
    qmlRegisterTypesAndRevisions<PlaylistSortProxyModel>("org.kde.haruna.playlist", 254);
    qmlRegisterEnum<PlaylistSortProxyModel::Sort>("PlaylistSortProxyModel::Sort");
    qmlRegisterEnum<PlaylistSortProxyModel::Group>("PlaylistSortProxyModel::Group");
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    QT_WARNING_POP
    qmlRegisterModule("org.kde.haruna.playlist", 254, 254);
}

static const QQmlModuleRegistration orgkdeharunaplaylistRegistration("org.kde.haruna.playlist", qml_register_types_org_kde_haruna_playlist);
